
package com.jeelowcode.core.framework.service;

import com.jeelowcode.core.framework.entity.EnhanceSqlEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * SQL增强相关
 */
public interface IEnhanceSqlService extends IService<EnhanceSqlEntity> {

    //新增sql增强
    void saveEnhanceSql(EnhanceSqlEntity enhanceSqlEntity);

    //编辑sql增强
    void updateEnhanceSql(EnhanceSqlEntity enhanceSqlEntity);

    //复制
    void copy(Long sourceFormIdId,Long targetFormIdId);

    //获取所有有效的sql增强
    List<EnhanceSqlEntity> getAllSqlEnhance();

    //批量删除
    void removeByIds(List<Long> ids);
}
